@import '../../main-styles.scss';

.note-card-container {
    position: relative;

    background: white;
    border-radius: 5px;

    box-shadow: 0px 2px 15px 2px rgba(black, 0.068);
    transition: box-shadow 0.2s ease-out;


    &:hover {
        cursor: pointer;
        box-shadow: 0px 0px 0px 4px rgba(black, 0.068);

        .x-button {
            opacity: 1;
            transform: scale(1);

            transition-delay: 0.35s;
        }
    }
    
    .note-card-content {
        padding: 25px;
        
        .note-card-title {
            font-size: 22px;
            font-weight: bold;
            color: $purple;
        }

        .note-card-body {
            position: relative;

            color: #555;

            // The maximum height before it is truncated
            max-height: 80px;
            overflow: hidden;

            .fade-out-truncation {
                position: absolute;

                pointer-events: none;
                
                bottom: 0;

                height: 50%;
                width: 100%;
                background: linear-gradient(to bottom, rgba(white, 0) 0%, rgba(white, 0.8) 50%, white 100%);
            }
        }
    }
}
.x-button {
    position: absolute;

    // 12px from the top
    top: 12px;

    // 12px from the right side
    right: 12px;

    height: 34px;
    width: 34px;

    background-color: $light-red;
    background-image: url('../../assets/delete_icon.svg');
    background-repeat: no-repeat;
    background-position: center;

    border-radius: 4px;

    transition: opacity 0.2s ease-out, transform 0.2s ease-out;

    // the button is hidden by default
    opacity: 0;
    transform: scale(0.35);

    &:hover { 
        background-color: darken($light-red, 2%);
    }

    // on click
    &:active {
        background-color: darken($light-red, 4%);
    }
}
